// Generated by gencpp from file kombos_server/measureKinect.msg
// DO NOT EDIT!


#ifndef KOMBOS_SERVER_MESSAGE_MEASUREKINECT_H
#define KOMBOS_SERVER_MESSAGE_MEASUREKINECT_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <kombos_server/positionMsg.h>

namespace kombos_server
{
template <class ContainerAllocator>
struct measureKinect_
{
  typedef measureKinect_<ContainerAllocator> Type;

  measureKinect_()
    : typeCapteur()
    , idCapteur(0)
    , measures()  {
    }
  measureKinect_(const ContainerAllocator& _alloc)
    : typeCapteur(_alloc)
    , idCapteur(0)
    , measures(_alloc)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _typeCapteur_type;
  _typeCapteur_type typeCapteur;

   typedef int32_t _idCapteur_type;
  _idCapteur_type idCapteur;

   typedef std::vector< ::kombos_server::positionMsg_<ContainerAllocator> , typename ContainerAllocator::template rebind< ::kombos_server::positionMsg_<ContainerAllocator> >::other >  _measures_type;
  _measures_type measures;





  typedef boost::shared_ptr< ::kombos_server::measureKinect_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::kombos_server::measureKinect_<ContainerAllocator> const> ConstPtr;

}; // struct measureKinect_

typedef ::kombos_server::measureKinect_<std::allocator<void> > measureKinect;

typedef boost::shared_ptr< ::kombos_server::measureKinect > measureKinectPtr;
typedef boost::shared_ptr< ::kombos_server::measureKinect const> measureKinectConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::kombos_server::measureKinect_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::kombos_server::measureKinect_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::kombos_server::measureKinect_<ContainerAllocator1> & lhs, const ::kombos_server::measureKinect_<ContainerAllocator2> & rhs)
{
  return lhs.typeCapteur == rhs.typeCapteur &&
    lhs.idCapteur == rhs.idCapteur &&
    lhs.measures == rhs.measures;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::kombos_server::measureKinect_<ContainerAllocator1> & lhs, const ::kombos_server::measureKinect_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace kombos_server

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::measureKinect_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::measureKinect_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::measureKinect_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::measureKinect_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::measureKinect_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::measureKinect_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::kombos_server::measureKinect_<ContainerAllocator> >
{
  static const char* value()
  {
    return "960a1c5ad49ec3881fed79eb9f4a75e1";
  }

  static const char* value(const ::kombos_server::measureKinect_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x960a1c5ad49ec388ULL;
  static const uint64_t static_value2 = 0x1fed79eb9f4a75e1ULL;
};

template<class ContainerAllocator>
struct DataType< ::kombos_server::measureKinect_<ContainerAllocator> >
{
  static const char* value()
  {
    return "kombos_server/measureKinect";
  }

  static const char* value(const ::kombos_server::measureKinect_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::kombos_server::measureKinect_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string typeCapteur\n"
"int32 idCapteur\n"
"positionMsg[] measures\n"
"\n"
"================================================================================\n"
"MSG: kombos_server/positionMsg\n"
"string name\n"
"geometry_msgs/Point position\n"
"bool fiability\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/Point\n"
"# This contains the position of a point in free space\n"
"float64 x\n"
"float64 y\n"
"float64 z\n"
;
  }

  static const char* value(const ::kombos_server::measureKinect_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::kombos_server::measureKinect_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.typeCapteur);
      stream.next(m.idCapteur);
      stream.next(m.measures);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct measureKinect_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::kombos_server::measureKinect_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::kombos_server::measureKinect_<ContainerAllocator>& v)
  {
    s << indent << "typeCapteur: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.typeCapteur);
    s << indent << "idCapteur: ";
    Printer<int32_t>::stream(s, indent + "  ", v.idCapteur);
    s << indent << "measures[]" << std::endl;
    for (size_t i = 0; i < v.measures.size(); ++i)
    {
      s << indent << "  measures[" << i << "]: ";
      s << std::endl;
      s << indent;
      Printer< ::kombos_server::positionMsg_<ContainerAllocator> >::stream(s, indent + "    ", v.measures[i]);
    }
  }
};

} // namespace message_operations
} // namespace ros

#endif // KOMBOS_SERVER_MESSAGE_MEASUREKINECT_H
